---
title: CSSTransformComponent
slug: Web/API/CSSTransformComponent
tags:
  - API
  - CSS
  - CSS Typed Object Model API
  - CSSTransformComponent
  - Experimental
  - Houdini
  - Interface
  - Reference
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>CSSTransformComponent</code></strong> interface of the of the {{domxref('CSS Typed Object Model API','','',' ')}} is part of the {{domxref('CSSTransformValue')}} interface.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("CSSTransformComponent.is2D")}} {{ReadOnlyInline}}</dt>
 <dd>Returns a boolean indicting whether the transform is 2D or 3D. </dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("CSSTransformComponent.toMatrix()")}}</dt>
 <dd>Returns a new {{domxref('DOMMatrix')}} object.</dd>
 <dt>{{domxref("CSSTransformComponent.toString()")}}</dt>
 <dd>Returns a string in the form of a CSS Transforms <a href="/en-US/docs/Web/CSS/transform-function/matrix()">matrix()</a> function.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#csstransformcomponent','CSSTransformComponent')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSTransformComponent")}}</p>
